Subject: bug#47558: 28.0.50; dlopen 'image not found' gccemacs native-lisp macos

From: Andrea Corallo <[email-masked]>
Date: Wed, 07 Apr 2021 18:43:56 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Andrea Corallo <[email-masked]>
>> Cc: Eli Zaretskii <[email-masked]>, [email-masked],
>>         [email-masked]
>> Date: Tue, 06 Apr 2021 19:26:16 +0000
>> 
>> On this subject I just realized that there we used concat in place of
>> `expand-file-name' and fixed that with 6568198213.
>
> I needed to revert that part, because we cannot call expand-file-name
> so early into startup, at least not on MS-Windows.

Sorry thanks for that.

> Was there some real problem you saw that was caused by using concat2
> there?

No, I've just spotted the code and once here was working I changed it.

I was going to add a comment but I see it's already done, thanks!

  Andrea